from django.urls import path
from . import views

app_name = 'student'

urlpatterns = [
    path('', views.student_list, name='list'),
    path('<int:pk>/', views.student_detail, name='detail'),
    path('<int:pk>/schedule/', views.student_schedule, name='schedule'),
    path('progress/', views.student_progress, name='student_progress'),
    path('profile/', views.student_profile, name='student_profile'),
    path('profile/edit/', views.edit_student_profile, name='edit_student_profile'),
    path('lessons/', views.lesson_list, name='student_lesson_list'),
    path('lesson/<int:pk>/', views.lesson_detail, name='student_lesson_detail'),
] 